%define upstream_name    Text-Template-Simple
%define upstream_version 0.91

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple text template engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This document describes version '0.86' of 'Text::Template::Simple' released
on '5 March 2012'.

This is a simple template module. There is no extra template/mini language.
Instead, it uses Perl as the template language. Templates can be cached on
disk or inside the memory via the internal cache manager. It is also
possible to use static/dynamic includes, pass parameters to includes and
apply filters on them. Also see the Text::Template::Simple::API manpage for
the full API definiton.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml TODO eg
%_bindir/tts
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.910.0-2.mga8
+ Revision: 1521528
- Mageia 8 Mass Rebuild

* Fri Dec 28 2018 tv <tv> 0.910.0-1.mga7
+ Revision: 1345372
- update to 0.91

* Thu Sep 20 2018 umeabot <umeabot> 0.900.0-3.mga7
+ Revision: 1286985
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.900.0-2.mga7
+ Revision: 1167018
- rebuild with fixed rpm for missing autodeps

* Tue Sep 12 2017 tv <tv> 0.900.0-1.mga7
+ Revision: 1153291
- new release
- Fix building on Perl without "." in @INC (CPAN RT#121697)

* Sun Jun 19 2016 pterjan <pterjan> 0.860.0-5.mga6
+ Revision: 1035169
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.860.0-4.mga6
+ Revision: 948694
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.860.0-3.mga5
+ Revision: 788233
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.860.0-2.mga5
+ Revision: 745576
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.860.0-1.mga5
+ Revision: 736320
- imported package perl-Text-Template-Simple


* Fri Oct 03 2014 Thierry Vignaud <tv@mageia.org> 0.860.0-1.mga5
- initial mageia release, generated with cpan2dist
